Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
upgraded failed with error ' ERROR: dev-haskell/mtl-2.1.2'
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
bdien
n00b
n00b


Joined: 01 Oct 2012
Posts: 9

PostPosted: Tue Oct 02, 2012 4:18 pm    Post subject: upgraded failed with error ' ERROR: dev-haskell/mtl-2.1.2' Reply with quote

I am upgrading with the command: "emerge --update --deep --with-bdeps=y --newuse world --autounmask-write" an error occurred in the dev-haskell-mtl-2.1.2

    /var/tmp/portage/dev-haskell/mtl-2.1.2/temp/build.log
    Code:
     * Package:    dev-haskell/mtl-2.1.2
     * Repository: gentoo
     * Maintainer: haskell@gentoo.org
     * USE:        amd64 elibc_glibc hscolour kernel_linux multilib profile userland_GNU
     * FEATURES:   sandbox
    >>> Unpacking source...
    >>> Unpacking mtl-2.1.2.tar.gz to /var/tmp/portage/dev-haskell/mtl-2.1.2/work
    >>> Source unpacked in /var/tmp/portage/dev-haskell/mtl-2.1.2/work
    >>> Preparing source in /var/tmp/portage/dev-haskell/mtl-2.1.2/work/mtl-2.1.2 ...
    >>> Source prepared.
    >>> Configuring source in /var/tmp/portage/dev-haskell/mtl-2.1.2/work/mtl-2.1.2 ...
     * Using cabal-1.14.0.
    /usr/bin/ghc -package Cabal-1.14.0 --make /var/tmp/portage/dev-haskell/mtl-2.1.2/work/mtl-2.1.2/Setup.hs -o setup
    [1 of 1] Compiling Main             ( /var/tmp/portage/dev-haskell/mtl-2.1.2/work/mtl-2.1.2/Setup.hs, /var/tmp/portage/dev-haskell/mtl-2.1.2/work/mtl-2.1.2/Setup.o )
    Linking setup ...
    ./setup configure --ghc --prefix=/usr --with-compiler=/usr/bin/ghc --with-hc-pkg=/usr/bin/ghc-pkg --prefix=/usr --libdir=/usr/lib64 --libsubdir=mtl-2.1.2/ghc-7.4.1 --datadir=/usr/share/ --datasubdir=mtl-2.1.2/ghc-7.4.1 --enable-library-profiling --ghc-option=-optl-Wl,-O1 --ghc-option=-optl-Wl,--as-needed --disable-executable-stripping --docdir=/usr/share/doc/mtl-2.1.2 --verbose
    Configuring mtl-2.1.2...
    setup: At least the following dependencies are missing:
    transformers ==0.3.*
     * ERROR: dev-haskell/mtl-2.1.2 failed (configure phase):
     *   setup configure failed
     *
     * Call stack:
     *     ebuild.sh, line   89:  Called src_configure
     *   environment, line 2601:  Called haskell-cabal_src_configure
     *   environment, line 1951:  Called cabal-configure
     *   environment, line  463:  Called die
     * The specific snippet of code:
     *       ./setup "$@" || die "setup configure failed"

    emerge --info '=dev-haskell/mtl-2.1.2'
    Quote:
    http://paste.ubuntu.com/1256237/

I can do at the moment?
Back to top
View user's profile Send private message
gienah
Developer
Developer


Joined: 24 Nov 2010
Posts: 127
Location: AU

PostPosted: Fri Oct 05, 2012 10:10 am    Post subject: Reply with quote

Quote:

setup: At least the following dependencies are missing:
transformers ==0.3.*


mtl-2.1.2.ebuild lists it as a dependency:

Code:
RDEPEND="=dev-haskell/transformers-0.3*[profile?]

so I guess it is installed in portage, you could check with:

Code:
equery list dev-haskell/transformers

But ghc thinks it isn' t installed, which you can also check with:

Code:
ghc-pkg list transformers


The way to fix it is to please run:

Code:
haskell-updater


It its installed please emerge it then run it:

Code:
emerge -av app-admin/haskell-updater
haskell-updater
Back to top
View user's profile Send private message
bdien
n00b
n00b


Joined: 01 Oct 2012
Posts: 9

PostPosted: Sat Oct 06, 2012 3:27 pm    Post subject: Reply with quote

Thank you very much :lol: gienah
Code:
haskell-updater
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum